# $Revision: 1.3 $, $Date: 2002/10/04 09:40:59 $
%include	/usr/lib/rpm/macros.perl
Summary:	Spam should not be propagated beyond necessity
Summary(pl):	Spam nie powinien by rozsiewany bez potrzeby
Name:		perl-Vipuls-Razor-V1
Version:	1.20
Release:	3
License:	Artistic
Group:		Development/Languages/Perl
Source0:	http://prdownloads.sourceforge.net/razor/razor-agents-%{version}.tar.gz
BuildRequires:	perl >= 5.6
BuildRequires:	rpm-perlprov >= 3.0.3-16
Obsoletes:	Razor
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Vipul's Razor is a distributed, collaborative, spam detection and
filtering network. Through user contribution, Razor establishes a
distributed and constantly updating catalogue of spam in propagation
that is consulted by email clients to filter out known spam. Detection
is done with statistical and randomized signatures that efficiently
spot mutating spam content. User input is validated through reputation
assignments based on consensus on report and revoke assertions which
in turn is used for computing confidence values associated with
individual signatures.

%description -l pl
Vipul's Razor to rozproszona, wsppracujca sie wykrywania spamu.
Przy udziale uytkownikw Razor stanowi rozproszony i stale
uaktualniany katalog rozprzestrzenianego spamu, ktry jest odpytywany
przez klientw pocztowych w celu filtrowania znanego spamu. Wykrywanie
jest przeprowadzane za pomoc statystycznych i losowych sygnatur,
ktre efektywnie wykrywaj mutujc si zawarto spamu. Wejcie od
uytkownikw jest kontrolowane poprzez przypisan reputacj bazowan
na raportach i zapewnieniach, ktre su do obliczania poziomw
ufnoci zwizanych z poszczeglnymi sygnaturami.

%prep
%setup -q -n razor-agents-%{version}

%build
perl Makefile.PL
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_mandir}/man5

%{__make} install DESTDIR=$RPM_BUILD_ROOT

install razor-whitelist.pod $RPM_BUILD_ROOT%{_mandir}/man5/razor-whitelist.5
install razor.conf $RPM_BUILD_ROOT%{_mandir}/man5/razor.conf.5

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes sample.txt
%attr(755, root, root) %{_bindir}/*
%dir %{perl_sitelib}/Razor
%{perl_sitelib}/Razor/*
%{_mandir}/man1/*
%{_mandir}/man5/*

%define date    %(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: perl-Vipuls-Razor-V1.spec,v $
Revision 1.3  2002/10/04 09:40:59  qboosh
- Obsoletes between Razor and perl-Vipuls-Razor-V1; release 3

Revision 1.2  2002/09/09 22:42:25  qboosh
- pl description, release 2

Revision 1.1  2002/09/05 17:16:08  baggins
- initial revisio, done
